For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Blog Posts
              • POSTCreate Blog Post
              • DELDelete Blog Posts
              • GETGet Blog Post
              • PUTUpdate Blog Post
              • DELDelete Blog Post
              • GETGet Count of Blog Posts
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentBlog Posts

Get Blog Post

GET
https://api.bigcommerce.com/stores/:store_hash/v2/blog/posts/:id
GET
/stores/:store_hash/v2/blog/posts/:id
$curl https://api.bigcommerce.com/stores/store_hash/v2/blog/posts/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "author": "BigCommerce",
3 "body": "<p>Customize your site, manage shipping and payments, and list your products on Amazon, eBay, and Facebook by Meta with the #1 ecommerce platform. </p>",
4 "id": 3,
5 "is_published": true,
6 "meta_description": "Welcome Post",
7 "meta_keywords": "BigCommerce, welcome, ecommerce",
8 "preview_url": "/blog/welcome-bigcommerce/",
9 "published_date": {
10 "timezone_type": 1,
11 "date": "2018-05-18T08:26:42.000Z",
12 "timezone": "+00:00"
13 },
14 "published_date_iso8601": "2018-05-18T13:26:42.000Z",
15 "summary": "<p>We power ecommerce websites for successful retailers all over the world</p>",
16 "tags": [
17 "BigCommerce",
18 "welcome",
19 "ecommerce"
20 ],
21 "thumbnail_path": "",
22 "title": "Welcome to BigCommerce",
23 "url": "/blog/welcome-bigcommerce/"
24}

Returns a single Blog Post.

Was this page helpful?
Previous

Delete Blog Posts

Next

Update Blog Post

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idintegerRequired
ID of the blog post.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

authorstring or null

Name of the blog post’s author.

bodystring
Text body of the blog post.
idintegerRead-only

ID of this blog post. READ-ONLY.

is_publishedbooleanDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
meta_descriptionstring or null

Description text for this blog post’s <meta/> element.

meta_keywordsstring or null

Keywords for this blog post’s <meta/> element.

preview_urlstringRead-only

URL to preview the blog post. READ-ONLY.

published_dateobject
published_date_iso8601string

Published date in ISO 8601 format.

summarystringRead-only

Summary of the blog post. READ-ONLY.

tagslist of strings
Tags to characterize the blog post.
thumbnail_pathstring or null

Local path to a thumbnail uploaded to /product_images/ using WebDAV.

titlestring
Title of this blog post.
urlstring
URL for the public blog post.

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.